# Indomaret Cash Out

**Transfer**

This service serves to create transactions from partner to Faspay. This service is used to process fund transfers from a partner account to a beneficiary.

### **Transfer Request**

> Relative URL : ***/account/API/transfer***
>
> Method : **HTTP POST**

The parameters that must be provided by the partner system to be accessed by the Faspay system are as follows:

{% tabs %}
{% tab title="Request Body" %}

<table><thead><tr><th width="262">Parameter</th><th width="150">Data Type</th><th width="150">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Numeric (20)</td><td>Mandatory</td><td>Virtual account number partner</td></tr><tr><td>beneficiary_bank_code</td><td>Alphanumeric (3)</td><td>Mandatory</td><td><p>Beneficiary Bank Code:</p><ul><li>alf= Alfamart</li><li>imr= Indomaret</li></ul></td></tr><tr><td>beneficiary_region_code</td><td>Numeric (4)</td><td>Mandatory</td><td>Beneficiary Region Code</td></tr><tr><td>beneficiary_country_code</td><td>Alphanumeric (2)</td><td>Mandatory</td><td>Code of Country</td></tr><tr><td>beneficiary_purpose_code</td><td>Numeric (1)</td><td>Optional</td><td>Code of purpose of using the system account</td></tr><tr><td>beneficiary_phone</td><td>Numeric (15)</td><td>Mandatory</td><td>Beneficiary phone</td></tr><tr><td>beneficiary_email</td><td>Alphanumeric (128)</td><td>Mandatory</td><td>Beneficiary email</td></tr><tr><td>trx_no</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Transaction number (from partner)</td></tr><tr><td>trx_date</td><td>Datetime</td><td>Mandatory</td><td>Transaction date time</td></tr><tr><td>trx_expired</td><td>Datetime </td><td>Optional</td><td><p>Transaction expired,</p><p>- null : expired date within 24 hours (depending on the partner)</p></td></tr><tr><td>instruct_date</td><td>Datetime </td><td>Mandatory</td><td>Transfer instruction date</td></tr><tr><td>trx_amount</td><td>Numeric</td><td>Mandatory</td><td><p>Total amount, ex : 100.000 à 100000<strong>00</strong></p><p>Amount must be multiple of 50000.</p></td></tr><tr><td>trx_desc</td><td>Alphanumeric (15)</td><td>Optional</td><td>Description, If the user input is more than 15 characters, it will be cut into 15 characters</td></tr><tr><td>beneficiary_account_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Beneficiary account name</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Request" %}

```json
{  
  "virtual_account": "9920017573",
  "beneficiary_bank_code": "imr",
  "beneficiary_region_code": "0102",
  "beneficiary_country_code": "ID",
  "beneficiary_purpose_code": "1",
  "beneficiary_phone": "082211211",
  "beneficiary_email": "agus.priyono@faspay.co.id",
  "trx_no": "WB220620211095061",
  "trx_date": "2021-09-16 17:45:00", 
  "trx_expired": "2021-10-16 15:15:00",
  "instruct_date": "2021-09-16 17:45:00", 
  "trx_amount": "500000",
  "trx_desc": "Indomaret cash out 16 september 2021",
  "beneficiary_account_name": "agus priyono",
}
```

{% endtab %}
{% endtabs %}

### Transfer Response

{% tabs %}
{% tab title="Response Body" %}

<table><thead><tr><th width="249">Parameter</th><th width="150">Type</th><th width="150">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Numeric (20)</td><td>Mandatory</td><td>Virtual account number partner</td></tr><tr><td>beneficiary_bank_code</td><td>Alphanumeric (3)</td><td>Mandatory</td><td><p>Beneficiary Bank Code: </p><ul><li>alf: Alfamart</li><li>imr: Indomaret</li></ul></td></tr><tr><td>beneficiary_region_code</td><td>Numeric (4)</td><td>Mandatory</td><td>Benefeciary Region Code</td></tr><tr><td>beneficiary_country_code</td><td>Alphanumeric (2)</td><td>Mandatory</td><td>Code of Country</td></tr><tr><td>beneficiary_purpose_code</td><td>Numeric (1)</td><td>Optional</td><td>Code of purpose of using the system account</td></tr><tr><td>beneficiary_phone</td><td>Numeric (15)</td><td>Optional</td><td>Beneficiary phone</td></tr><tr><td>beneficiary_email</td><td>Alphanumeric (128)</td><td>Mandatory</td><td>Beneficiary email</td></tr><tr><td>trx_no</td><td>Numeric (255)</td><td>Mandatory</td><td>Transaction number (from partner)</td></tr><tr><td>trx_date</td><td>Datetime </td><td>Mandatory</td><td>Transaction date time</td></tr><tr><td>trx_expired</td><td>Datetime </td><td>Optional</td><td><p>Transaction expired,</p><p>- null : expired date within 24 hours (depending on the partner)</p></td></tr><tr><td>instruct_date</td><td>Datetime </td><td>Mandatory</td><td>Transfer instruction date</td></tr><tr><td>trx_amount</td><td>Numeric</td><td>Mandatory</td><td><p>Total amount, ex : 100.000 à 100000<strong>00</strong></p><p>Amount must be multiple of 50000.</p></td></tr><tr><td>trx_desc</td><td>Alphanumeric (15)</td><td>Optional</td><td>Description, If the user input is more than 15 characters, it will be cut into 15 characters</td></tr><tr><td>callback_url</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>URL for callback / notification, used if the partner wants the system to send notifications to the partner</td></tr><tr><td>beneficiary_account_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Beneficiary account name</td></tr><tr><td>trx_id</td><td>Numeric (16)</td><td>Mandatory</td><td>ID Transaction</td></tr><tr><td>trx_reff</td><td>Alphanumeric</td><td>Mandatory</td><td>Refference of transaction number on system disbursement</td></tr><tr><td>cash out_code</td><td>Numeric (16)</td><td>Mandatory</td><td>Cash out code</td></tr><tr><td>status</td><td>Numeric (1)</td><td>Mandatory</td><td><p>List Status Transaction :</p><p>1 = On Process,</p><p>2 = Success,</p><p>4 = Failed,</p><p>5 = Reverse</p></td></tr><tr><td>message</td><td>Alphanumeric</td><td>Mandatory</td><td>Message Description</td></tr><tr><td>response_code</td><td>Numeric (2)</td><td>Mandatory</td><td>Response code from bank (00 = success)</td></tr><tr><td>response_desc</td><td>Alphanumeric</td><td>Mandator</td><td>Response description from bank</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response" %}

```json
{
  "virtual_account": "9920017573",
  "beneficiary_bank_code": "imr",
  "beneficiary_region_code": "0102",
  "beneficiary_phone": "082211211",
  "beneficiary_country_code": "ID",
  "beneficiary_purpose_code": "1",
  "beneficiary_email": "agus.priyono@faspay.co.id",
  "trx_no": "WB220620211095064",
  "trx_date": "2021-09-16 17:45:00",
  "trx_expired": "2021-10-16 15:15:00",
  "instruct_date": "2021-09-16 17:45:00",
  "trx_amount": 500000,
  "trx_desc": " Indomaret cash out 16 september 2021",
  "callback_url": "http://account-service/account/api/mail/sendtotele",
  "beneficiary_account_name": "agus priyono",
  "trx_id": 308952,
  "trx_reff": "oHB0Z6Uc1x EKA2zvK1z_OXJZQUJ2N2k4d3hVVGJhWWRpYlZJU2lDdkFrSWZDdnM4cHdmdytrTFo4QT0=",
   "cash out_code": "1639969650098364",
   "status": "1",
   "message": "On Process",
   "response_code": "00",
   "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/cash-out/indomaret-cash-out.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
